public inbox for dtrace@lists.linux.dev
 help / color / mirror / Atom feed
* [PATCH] test: Check for symbol ext4_dir_operations in module ext4
@ 2026-03-02 21:51 eugene.loh
  2026-03-03 14:52 ` [DTrace-devel] " Kris Van Hees
  0 siblings, 1 reply; 2+ messages in thread
From: eugene.loh @ 2026-03-02 21:51 UTC (permalink / raw)
  To: dtrace, dtrace-devel

From: Eugene Loh <eugene.loh@oracle.com>

The tst.misc.d test assumes certain kernel symbols can be found.  The
test specifies ext4`ext4_dir_operations, but there are apparently
kallmodsyms bugs that misassign the symbol to the wrong module.
Thus, the test fails to find the symbol.  Meanwhile, we are less
concerned about such older kernel bugs, since we are moving from
kallmodsyms to modules.builtin.ranges.

Modify the .x file to check for ext4_dir_operations in the ext4 module
for those cases that rely on kallmodsyms.

Orabug: 37783183
Signed-off-by: Eugene Loh <eugene.loh@oracle.com>
---
 test/unittest/scalars/tst.misc.x | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

diff --git a/test/unittest/scalars/tst.misc.x b/test/unittest/scalars/tst.misc.x
index 1a1d9d271..ffef2fd33 100755
--- a/test/unittest/scalars/tst.misc.x
+++ b/test/unittest/scalars/tst.misc.x
@@ -1,11 +1,20 @@
 #!/bin/sh
 
-if ! grep -qw isofs_dir_operations /proc/kallsyms; then
-    exit 1
+if [ -e /proc/kallmodsyms ]; then
+	if ! grep -q 'isofs_dir_operations.*isofs' /proc/kallmodsyms; then
+		exit 1
+	fi
+
+	if ! grep -q 'ext4_dir_operations.*ext4' /proc/kallmodsyms; then
+		exit 1
+	fi
+	exit 0
 fi
 
+if ! grep -qw isofs_dir_operations /proc/kallsyms; then
+	exit 1
+fi
 if ! grep -qw ext4_dir_operations /proc/kallsyms; then
-    exit 1
+	exit 1
 fi
-
 exit 0
-- 
2.47.3


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2026-03-03 14:52 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2026-03-02 21:51 [PATCH] test: Check for symbol ext4_dir_operations in module ext4 eugene.loh
2026-03-03 14:52 ` [DTrace-devel] " Kris Van Hees

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox